Subject: Re: GitGitGadget on git/git, was Re: Should we auto-close PRs on git/git?

From: Jeff King <[email-masked]>
Date: Mon, 25 Nov 2019 09:30:23 -0500

On Fri, Nov 22, 2019 at 02:50:05PM +0100, Johannes Schindelin wrote:

> > Wow, thanks for working on this! I don't know that I'd call my
> > javascript skills even rudimentary, but I did give it a look. The real
> > challenge to me is not the individual lines of code, but understanding
> > how the Azure Pipelines and GitHub App systems fit together. So I didn't
> > see anything wrong, but I also know very little about those systems.
> 
> I actually spent some quality time with the wiki in the past days to
> remedy that. You can adore the result in all its beauty here:
> 
> https://github.com/gitgitgadget/gitgitgadget/wiki/GitGitGadget's-Azure-Function-and-Azure-Pipelines

Thanks, this was very informative. I have a feeling that some of this
could be done via the new Actions stuff that GitHub has been shipping,
but I have no idea if it would make any of it easier (and certainly I'm
not advocating dropping a working system to chase a new shiny toy).

> All I need is to install the app:
> [...]
> ... which I just did.

Very cool. :)

-Peff